Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#26 Le 04/08/2012, à 09:44

QwantiX

Re : [Résolu]Precise, ça chauffe !

Bah ben c'est 4 posts plus haut.
Il faut rajouter à ça que je me suis rendu compte que unity bouffai environ 10-20% du proc en permanence, j'ai donc essayé un peu tout les autres bureaux et je suis tombé assez séduit par Cinnamon le bureau de linuxmint, qui a la particularité de ne bouffer que 3% de CPU et de rester joli smile .
mais avec le recul de plusieurs semaines maintenant, je peux dire qu'il chauffe quand même,
surtout si j'ouvre des applis comme gimp ou inkscape, ça devient limite flippant tellement qu'il chauffe.

J'ai donc au prix d'une grande réflexion morale suivi d'une préparation psychologique, décidé de repartir sous ma partition windows(plus de 5ans que je n'ai plus un pc windows chez moi!)

J'ai passé une soirée à jouer à dessiner ma future maison sur sketchup, et à ma grande surprise, le pc n'a pas dépassé les 65°C, mieux il redescend quasi instantanément à 54°C.....

C'est là que j'ai franchi un nouveau cap, si window arrive mieux à réguler le matériel, pourquoi pas utiliser window entre le matériel et linux.
J'ai donc (il y a 2 jours) tenté de le virtualiser.
On perd bien entendu aux niveau perf, surtout sur batterie, où là ça devient inutilisable, mais sur secteur c'est correct.
Bon je sais, si on achète un pc portable avec comme moi une autonomie de 8h, c'est pas pour le brancher sur secteur..
A la limite je dirai que ça c'est un autre problème, je vais voir si y'a pas une option dans le bios pour ça.
Enfin bon j'essaye tout quoi...et j'avoue que ça me déprime un peu de booter sous windows...

Pour ce qui est d'ubuntu 12.10, je n'ai pas regardé, mais je déconseille les alphas qui sont relativement instables.
Je pense que sous linux (attention il est possible que je sorte une grosse connerie) le gros soucis viens du serveur graphique X, qui est extrêmement lourd, une alternative du nom de Wayland est en train d’être développée et sera en partie intégrée à partir de la 12.10 pour uniquement améliorer graphiquement le boot d'ubuntu, je pense qu'il faudra donc attendre qu'ubuntu intègre pleinement wayland pour espérer avoir une amélioration significative, enfin ça c'est on avis,  donc je dirai pas avant la 13.04.... hmm


Ubuntu 12.04

Hors ligne

#27 Le 07/08/2012, à 14:52

Nyrhu

Re : [Résolu]Precise, ça chauffe !

Ok ok d'accord smile Merci de partager ton expérience.

Je scrute l'horizon en attendant un Ubuntu prometteur... pourquoi pas 12.10 ? Je le testerais de toute façon tongue et toutes les futurs versions jusqu'à ce que je trouve mon bonheur. En attendant, je suis sous Windows 8 Release Preview x64 (bientôt la RTM) et je suis assez content smile

Y-a-t-il une marque de portable plus adapté à Ubuntu ?


# Ubuntu 14.04 x64   |  Mon CV
AMD FX4170 4.2 GHz ; Noctua NH-D14 ; Gigabyte Radeon HD 7950 3 Go ; SSD Kingston HyperX 3K 120 Go ; HDD Seagate Barracuda 7200.12 1 To ; Kingston HyperX Genesis 8Go DDR3 1866 MHz
LG G2 16 Gb

Hors ligne

#28 Le 09/08/2012, à 18:07

kleuck

Re : [Résolu]Precise, ça chauffe !

Vous utilisez quel bureau ?
Parce que je n'ai pas ce souci avec Mint Xfce, ni ma femme avec Mint Mate, je ne parle pas de mes autres PC sous Mepis et KDE.
J'ai eu un portable (HP Probook) sous Mepis et KDE4, effets activés etc, sans que l’occupation proco ou la température ne devienne jamais un problème, sur celui-là c'est quand je switchais à Seven que le ventilo s'emballait.
Je pense plutôt à un problème de DM ou de WM, mais je n'ai pas l'impression qu'on puisse l'imputer au serveur graphique.


Guitare montée en P90 et ampli à tubes classe A.
Mepis 11 64 Bits.

Hors ligne

#29 Le 09/08/2012, à 18:20

JLK

Re : [Résolu]Precise, ça chauffe !

Déjà, si ça chauffe, il faudrait faire un rapport de bug détaillé sur le launchpad, et ensuite, essayer d'autres interfaces graphiques (KDE, XFCE, LXDE, etc.) pour savoir si ça y change quelque chose dans tout ça.

Dernière modification par JLK (Le 09/08/2012, à 18:20)

Hors ligne

#30 Le 20/08/2012, à 18:53

QwantiX

Re : [Résolu]Precise, ça chauffe !

Pour ma part j'utilise Cinnamon depuis quelques temps. Même si contrairement à pas mal de monde j'aime bien Unity, il me bouffait en permanence 10 à 20% du proc, j'ai donc switché sur Cinnamon et là plus de problème de ce coté là.

J'ai essayé Mint en live, et j'ai eu le même prob de chauffe.
En temps normal je l'aurai installé sur une partition pour essayer, mais là avec un SSD de 128....

Pour ma solution virtualisation.... mwé, j'en suis revenu bien évidemment, si j'achette un pc qui boote en 5s, c'est pas pour passer 3 plombes à démarrer virtualbox.. tongue

Enfin tjrs aussi déprimé, j'en viens à regretter ma station Hp qui marchait bien finalement... hmm


Ubuntu 12.04

Hors ligne

#31 Le 20/08/2012, à 19:02

kleuck

Re : [Résolu]Precise, ça chauffe !

Comme dit sur un autre fil je crois, est-ce que le cpu scaling est actif ?
Ça a l'air d’être un souci avec les Ubuntu récentes (cpufrequtils ne fonctionnerait plus, à remplacer par Jupiter)


Guitare montée en P90 et ampli à tubes classe A.
Mepis 11 64 Bits.

Hors ligne

#32 Le 20/08/2012, à 22:02

JLK

Re : [Résolu]Precise, ça chauffe !

QwantiX a écrit :

Enfin tjrs aussi déprimé, j'en viens à regretter ma station Hp qui marchait bien finalement... hmm

Tu t'en es débarrassé ?

Hors ligne

#33 Le 21/08/2012, à 08:00

creamy

Re : [Résolu]Precise, ça chauffe !

Il y a probablement mieux à faire mais voici comment j'ai résolu le souci de surchauffe.

Premièrement : Pas d'Unity wink

Ensuite, commencez par vérifier les différents gouverneurs acceptés par votre / vos proc.
Voir là : http://doc.ubuntu-fr.org/cpu-frequtils# … grand_saut

Puis, j'ai édité /etc/init.d/ondemand (gksudo gedit /etc/init.d/ondemand)

Le script ressemble à ceci :

#! /bin/sh
### BEGIN INIT INFO
# Provides:          ondemand
# Required-Start:    $remote_fs $all
# Required-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:
# Short-Description: Set the CPU Frequency Scaling governor to "ondemand"
### END INIT INFO


PATH=/sbin:/usr/sbin:/bin:/usr/bin

. /lib/init/vars.sh
. /lib/lsb/init-functions

case "$1" in
    start)
    	start-stop-daemon --start --background --exec /etc/init.d/ondemand -- background
        ;;
    background)
	sleep 60 # probably enough time for desktop login

	for CPUFREQ in /sys/devices/system/cpu/cpu*/cpufreq/scaling_governor
	do
		[ -f $CPUFREQ ] || continue
		echo -n ondemand > $CPUFREQ
	done
	;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
        exit 3
        ;;
esac

Modifier la valeur « ondemand » par « conservative », ce qui donne cela :

#! /bin/sh
### BEGIN INIT INFO
# Provides:          ondemand
# Required-Start:    $remote_fs $all
# Required-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:
# Short-Description: Set the CPU Frequency Scaling governor to "ondemand"
### END INIT INFO


PATH=/sbin:/usr/sbin:/bin:/usr/bin

. /lib/init/vars.sh
. /lib/lsb/init-functions

case "$1" in
    start)
    	start-stop-daemon --start --background --exec /etc/init.d/ondemand -- background
        ;;
    background)
	sleep 60 # probably enough time for desktop login

	for CPUFREQ in /sys/devices/system/cpu/cpu*/cpufreq/scaling_governor
	do
		[ -f $CPUFREQ ] || continue
		echo -n conservative > $CPUFREQ
	done
	;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
        exit 3
        ;;
esac

C'est ligne 27 que ça se passe wink Le reste on s'en tape.

“ [⋅⋅⋅]
[ -f $CPUFREQ ] || continue
        echo -n conservative > $CPUFREQ
    done
[⋅⋅⋅] ”

Pas besoin de s'occuper de qui gère les fréquences. Ça marche bien ainsi, je fais ça depuis quelques versions d'ubuntu wink


PS : Soyez prudents en modifiant. Prévoyez de pouvoir annuler la modification avec une session live par exemple. Ce qui marche chez moi ne marche pas forcément partout.

Dernière modification par creamy (Le 21/08/2012, à 08:06)


Le secret de l'action, c'est de commencer : http://www.le-message.org

Hors ligne

#34 Le 21/08/2012, à 14:17

QwantiX

Re : [Résolu]Precise, ça chauffe !

JLK a écrit :

Tu t'en es débarrassé ?

Non mais bon travailler sur 2 pc à la fois j'aime pas trop, après je sais plus ou j'ai mis quoi....
Dc je l'ai toujours en secours....
Hier soir après avoir écrit le message, cinnamon c'est mit à freezer à raison d'1 redémarrage toute les 5 minutes, de rage je suis revenu sur unity, et là oh suprise il ne bouffe plus de 15% du proc en permanence, j'ai donc l'impression qu'ils on corrigé ce bug.

Pour le gouverneur, moi en réalité, j'ai mis l'indicator et je le change en fonction du besoin...
Mais je vais essayer de le passer en permanence en conservative.


Ubuntu 12.04

Hors ligne

#35 Le 23/08/2012, à 22:59

Nyrhu

Re : [Résolu]Precise, ça chauffe !

En attendant, je me suis diriger vers Linux Mint 13 Cinnamon 64 bits, et là pas de soucis, ça ne chauffe pas.

Alors pourquoi ne pas rester sous Mint au lieu d'Ubuntu ? Selon vous qu'est-ce que Ubuntu a de plus que Mint ?


# Ubuntu 14.04 x64   |  Mon CV
AMD FX4170 4.2 GHz ; Noctua NH-D14 ; Gigabyte Radeon HD 7950 3 Go ; SSD Kingston HyperX 3K 120 Go ; HDD Seagate Barracuda 7200.12 1 To ; Kingston HyperX Genesis 8Go DDR3 1866 MHz
LG G2 16 Gb

Hors ligne

#36 Le 24/08/2012, à 00:03

JLK

Re : [Résolu]Precise, ça chauffe !

nitcho a écrit :

En attendant, je me suis diriger vers Linux Mint 13 Cinnamon 64 bits, et là pas de soucis, ça ne chauffe pas.

Alors pourquoi ne pas rester sous Mint au lieu d'Ubuntu ? Selon vous qu'est-ce que Ubuntu a de plus que Mint ?

Peut-être que le problème de surchauffe provient d'Unity, ou bien de quelque chose d'autre qui diffère entre ces deux distributions, aux bases pourtant communes.

Hors ligne

#37 Le 25/08/2012, à 17:06

QwantiX

Re : [Résolu]Precise, ça chauffe !

nitcho a écrit :

En attendant, je me suis diriger vers Linux Mint 13 Cinnamon 64 bits, et là pas de soucis, ça ne chauffe pas.

Vraiement plus de souci? car j'ai vu sur certains forums que ça chauffait aussi sous mint, voire même que ce serait le cas de toutes les distribs linux..

JLK a écrit :

Peut-être que le problème de surchauffe provient d'Unity

Bah j'ai passé 15jrs sur cinnamon et la je viens de reprendre unity, le problème est le même. Donc même si unity bouffait du CPU à une époque (il y a encore 2mois quoi...) ce souci semble résolu.

Bah de mon coté, mon proc est pour l'instant à 56°C avec unity, je touche du bois pour que ça dure!
Par contre si j'ai le malheur de lancer Inkscape ou Gimp, c'est toujours aussi instantané, il passe dessuite en mode chauffage!


Ubuntu 12.04

Hors ligne

#38 Le 25/08/2012, à 22:09

ErwanBreizh

Re : [Résolu]Precise, ça chauffe !

Plus de problème de chauffe sous mint maya cinnamon pour ce qui me concerne.


Voyager 12.04 64bits, Mint 13 Maya Cinnamon 64bits, Ubuntu 11.04 64bits
Amd phenom 9500, Nvidia 8600 GS, 4 Go ram.

Hors ligne

#39 Le 26/08/2012, à 09:27

QwantiX

Re : [Résolu]Precise, ça chauffe !

ErwanBreizh a écrit :

Plus de problème de chauffe sous mint maya cinnamon pour ce qui me concerne.

Même avec du gimp ou inkscape? (oui je sais c'est mon test ultime!)


Ubuntu 12.04

Hors ligne

#40 Le 26/08/2012, à 09:36

ErwanBreizh

Re : [Résolu]Precise, ça chauffe !

Avec Gimp aucun souci, je n'utilise pas inkscape, mais je vais tout de même repassé au pilote nouveau car avec les pilotes Nvidia, quel que soit la version, j'ai toujours un problème de popup vide gênante dans google Earth. Puis nouveau est plus performant et parfaitement adapté au système même s'il fait chauffer un peu plus la carte graphique

Dernière modification par ErwanBreizh (Le 26/08/2012, à 09:37)


Voyager 12.04 64bits, Mint 13 Maya Cinnamon 64bits, Ubuntu 11.04 64bits
Amd phenom 9500, Nvidia 8600 GS, 4 Go ram.

Hors ligne

#41 Le 26/08/2012, à 09:40

QwantiX

Re : [Résolu]Precise, ça chauffe !

Bah aller ça va etre mon occupation du dimanche.... je vais installer Mint. tongue
En ce qui concerne la carte graphique, chez moi elle est intégrée aux proc (Intel HD 3000), je me demande si ducoup ce n'est pas ça qui le fait chauffer...


Ubuntu 12.04

Hors ligne

#42 Le 26/08/2012, à 14:29

QwantiX

Re : [Résolu]Precise, ça chauffe !

Je n'ai qu'un seul mot à dire : WTF??!!!
Sous Mint j’atteins des températures plus basse que sous Windows!
45°C quand win est à 52!
Bon sous gimp, ça chauffe mais on est loin d'ubuntu
Sous Inkscape pareil que gimp

Bon après je vais voir à l'usage.
Mais c'est bien plus rapide et fluide qu'ubuntu.


Ubuntu 12.04

Hors ligne

#43 Le 26/08/2012, à 14:36

fcn50

Re : [Résolu]Precise, ça chauffe !

Salut à tous,

En regardant votre fil, j'ai essayé la méthode de creamy que je remercie pour le conservative dans /init.d/ondemand. Un peu de détail, je trafique ce fichier depuis un moment mais pas pour les mêmes raisons (ici un ordi fixe sans surchauffe) et je me suis dis d'essayer la technique citée.

Il y a deux rajouts dans ce fichier pour contrôler le déclenchement (en % de charge) de l'augmentation de la fréquence du cpu. En combinant les deux, ça peut être intéressant et je suis en train de peaufiner cela. Voici le lien des modifs de ce fichier pour le déclenchement et la raison (suivre uniquement les modifs du poste #3!):

http://forum.ubuntu-fr.org/viewtopic.php?id=418467

Il faut ensuite trouver l'équilibre entre le %tage, la fluidité et pour vous la température selon le cpu. Rebooter pour que le changement soit effectif.


14.04.1 LTS, Xfce 4.10.1, Phenom II x6 1090T BE, SSD Patriot Inferno 60 Go, WD Black 1 To, Sapphire HD 7750 ULTIMATE, RME HDSP 9632, Dell U2713HM.
Un site qui vaut le détour: http://blog.syti.net  Une radio hors du commun: http://solenopole.org  You like the american dream? Wellcome to Guantànamo!

En ligne

#44 Le 20/09/2012, à 22:51

metalux

Re : [Résolu]Precise, ça chauffe !

Je viens de migrer de Maverick à Precise sur mon portable et effectivement ça chauffe énormément. Impossible d'utiliser tel quel, les ventilos à fond et la température à la limite d'enflammer le P.C. mad J'ai baissé la température en effectuant la méthode proposée par creamy et en ajoutant dans /etc/default/grub

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_osi=\"Linux\""
GRUB_CMDLINE_LINUX="acpi.power_nocheck=1"

Apparemment c'est la 2ème ligne qui m'a fais principalement baisser la température et calmer les ventilateurs.
Les températures restent malgré tout élevées par rapport à Maverick. De 52 à 65° en utilisation normale (surf+lecteur média) contre 45-50°C avec Maverick et surtout le disque dur qui chauffe à 53°C quand auparavant il restait relativement froid.
Par contre dès que le P.C. est sollicité (en l'occurence urbanterror) les températures s'envolent à 85-90°C (CPU) contre 70°C auparavant. Y a-t-il un risque ou puis-je continuer à l'utiliser de la sorte?

Dernière modification par metalux (Le 20/09/2012, à 22:57)


Xubuntu 14.04 LTS sur HP Pavilion t728.fr
Precise Pangolin 64 bits sur Acer aspire 5738ZG
Voyager 13.04 mise à niveau en 14.04 sur TOSHIBA  Satellite C870-196.
Faîtes la mise à jour de vos P.P.A. automatiquement

Hors ligne

#45 Le 23/09/2012, à 23:26

metalux

Re : [Résolu]Precise, ça chauffe !

Personne pour m'aider?
Je crois que je vais être obligé de changer de distribution, je teste Fedora en ce moment même en Live-cd et le disque dur reste tout le temps en dessous des 50°C et les CPU en dessous de 60°C. La même expérience avec Precise ou quantal en Live-cd se transforme en convertisseur PC-chauffage yikes.(55-57° HDD, CPU s'envole jusque 75°) L'installation des pilotes propriétaires font baisser la température sur Ubuntu, si il en est de même sur Fedora, je retrouverai les températures que j'ai connu sous mon regretté Maverick.
Allez, il y a bien une âme dévouée pour me retenir sur Ubuntu.


Xubuntu 14.04 LTS sur HP Pavilion t728.fr
Precise Pangolin 64 bits sur Acer aspire 5738ZG
Voyager 13.04 mise à niveau en 14.04 sur TOSHIBA  Satellite C870-196.
Faîtes la mise à jour de vos P.P.A. automatiquement

Hors ligne

#47 Le 05/10/2012, à 19:03

metalux

Re : [Résolu]Precise, ça chauffe !

Bon, c'est un petit peu mieux avec les modifications ci-dessous mais le disque dur chauffe toujours mais moins qu'avant.
J'ai installé powertop et cherché la ligne Enable SATA link power management for /dev/sda. Celle-ci étant indiquée comme "bad" j'ai installé ce P.P.A., installé tlp et modifié ensuite le fichier  /etc/default/tlp avec les changements suivants:

SATA_LINKPWR_ON_AC=min_power à la place de SATA_LINKPWR_ON_AC=max_performance

Mes températures occillent maintenant entre:
temp1 et 2 : 48 à 60° en usage normal (Core 45-55°)
HDD: 45 à 49°C selon l'usage.
Voilà, si vous avez d'autres suggestions, le HDD me semble encore bien chaud.
Edit: Le problème semble uniquement lié au branchement sur secteur. Je viens de le passer sur batterie et les T° chutent à vu d'oeil! le HDD vient de passer de 48° à 41°  en 5 mns. Idem temp=44° (core 39°).
Edit2: 1/4 d'heure de + et Hdd=38°C, il n'y a pas de doute, c'est le branchement sur secteur qui le fait chauffer.
Edit3: /dev/sda s'est stabilisé à cette température. J'ai rebranché sur secteur (en enlevant la batterie au cas où...)----->Verdict /dev/sda à 45°C en 5 mns (temp 54°)

Dernière modification par metalux (Le 05/10/2012, à 23:28)


Xubuntu 14.04 LTS sur HP Pavilion t728.fr
Precise Pangolin 64 bits sur Acer aspire 5738ZG
Voyager 13.04 mise à niveau en 14.04 sur TOSHIBA  Satellite C870-196.
Faîtes la mise à jour de vos P.P.A. automatiquement

Hors ligne

#48 Le 14/10/2012, à 22:34

metalux

Re : [Résolu]Precise, ça chauffe !

Je suis du genre tenace,je n'aime pas abandonner et mon problème est résolu big_smile grâce à ce post  et bien d'autres qui m'ont éclairé sur la gestion d'énergie. Le réglage par défaut pour hdparm était de 1 sur batterie et 254 sur secteur ce qui explique la différence de température.
En abaissant la valeur de hdparm sur secteur pour obtenir une température normale (40°C en sollicitation ordinaire, surf+mediaplayer+terminal), le parcage des têtes s'envolait littéralement. J'ai donc activer hddtemp en tant que daemon et réglé les valeurs désirées de hdparm dans le fichier de configuration de TLP.

JLK a écrit :

Quand le CPU chauffe, le silicium grogne...

@JLK, Tu es le 1er à avoir répondu après the_oliver_2000 sur le post en question! Ton conseil m'a été d'une grande aide. lol

Etonnant quand même que je ne me suis pas aperçu sur Maverick, ce problème de parcage semblant être ancien et toujours pas résolu. Il faut dire que lorsque le disque est en dessous de 50°C il est chaud mais pas brûlant. Quand il monte à près de 60°C, la différence est flagrante. Sans doute avais-je déjà le problème dans le passé mais que SATA_LINKPWR_ON_AC était bien réglé par défaut ce qui ne m'a pas mis la puce à l'oreille.

Dernière modification par metalux (Le 15/10/2012, à 17:49)


Xubuntu 14.04 LTS sur HP Pavilion t728.fr
Precise Pangolin 64 bits sur Acer aspire 5738ZG
Voyager 13.04 mise à niveau en 14.04 sur TOSHIBA  Satellite C870-196.
Faîtes la mise à jour de vos P.P.A. automatiquement

Hors ligne

#49 Le 15/10/2012, à 17:32

compte supprimé

Re : [Résolu]Precise, ça chauffe !

Bonjour

  Je viens d'installer Ubuntu 12.04 et je fais le même constat
   Très vite ma ventilation se met en route et passe de temps en temps en vitesse max  sad
    J'ai une autonomie batterie de 1h30 avec Ubuntu
    Sous W7 pas de chauffe et jusqu'à 5h d'autonomie
   J'ai un HP Pavilion dv7
   8G de Ram Processeur IE5
   Il a été acheté en Mai 2012

  Des éléments nouveaux sur ce sujet ?

   Gérard 25

PS le lien vers le post cité dans la réponse de metalux ne fonctionne pas  sad

Dernière modification par Gerard25 (Le 15/10/2012, à 17:42)

#50 Le 15/10/2012, à 17:44

metalux

Re : [Résolu]Precise, ça chauffe !

Bonjour Gerard25,
Les PC récents embarquent souvent une technologie hybride embarquant une carte graphique intégrée et une dédiée. Sur une installation de base, les 2 cartes sont allumées ce qui entraîne surconsommation+chaleur. Vérifie déjà de ce côté si tu es concerné.


Xubuntu 14.04 LTS sur HP Pavilion t728.fr
Precise Pangolin 64 bits sur Acer aspire 5738ZG
Voyager 13.04 mise à niveau en 14.04 sur TOSHIBA  Satellite C870-196.
Faîtes la mise à jour de vos P.P.A. automatiquement

Hors ligne

Haut de page ↑